Page MenuHomePhabricator

Dump should return decrypted votes
Open, LowestPublic

Description

The dump provided for encrypted elections includes the decryption key anyway, so why just return the votes as encrypted messages? Instead, the dump should return the decrypted votes as well.

Details

Related Gerrit Patches:
mediawiki/extensions/SecurePoll : masterDump should return decrypted votes

Event Timeline

Huji created this task.Sep 14 2016, 9:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2016, 9:18 PM
Huji triaged this task as Lowest priority.Sep 15 2016, 2:43 PM

https://gerrit.wikimedia.org/r/#/c/310824/ should address this. I will await review and approval for that patch. If approved, I will also create a similar patch for the CLI code.

Huji claimed this task.Sep 15 2016, 2:51 PM
Huji added a project: Patch-For-Review.

Change 310824 had a related patch set uploaded (by Huji):
Dump should return decrypted votes

https://gerrit.wikimedia.org/r/310824

Change 310824 merged by jenkins-bot:
Dump should return decrypted votes

https://gerrit.wikimedia.org/r/310824

Huji closed this task as Resolved.Nov 11 2016, 1:49 AM
Dereckson reopened this task as Open.May 18 2017, 6:33 PM

Mentioned in SAL (#wikimedia-operations) [2017-05-18T18:37:37Z] <dereckson@tin> Synchronized php-1.30.0-wmf.1/extensions/SecurePoll/includes/pages/DumpPage.php: Revert "Dump should return decrypted votes" (T145695) (duration: 00m 48s)

@Jalexander what about we modify the interface such that the user can choose whether they want the votes decrypted or not.